search
LoginSignup
0

posted at

amazonlinux2 imagickをインストール

imagick入らんがや

sudo yum install php81-php-imagick

エラー

 依存性解決を終了しました。
エラー: パッケージ: ImageMagick6-libs-6.9.12.45-1.el7.remi.x86_64 (remi-safe)
             要求: libraw_r.so.19()(64bit)

はぁ!?

参考
https://qiita.com/t-kigi/items/f6850abaaee1db2df5a4

libraw を取ってこいと。

上記らへんを調べて
Download の リンク先を右クリックプロパティで調べて指定

sudo rpm -ivh ftp://ftp.pbone.net/mirror/vault.centos.org/7.6.1810/cr/x86_64/Packages/LibRaw-0.19.2-1.el7.x86_64.rpm

もういっちょ

sudo yum install php81-php-imagick
php -m

で一覧に imagick が出ればok

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
What you can do with signing up
0